


*,
*::before,
*::after {
  box-sizing: content-box;
}

body {
  margin: 20px 0;
}

.button{
  cursor: pointer;
  text-align: center;
  margin-bottom: 3%;
}

.nbMoves{
  text-align: center;
}

.timer{
  text-align: center;
  margin-bottom: 2%;
}

.grid {
  max-width: 960px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.card {
  margin: 5px;
  border: 4px solid rgb(4, 114, 165);
  border-radius: 20%;
  font-size: 0px;
}

header {
  text-align: center;
  font-size: 5em;
  margin-bottom: 2%;
}

.card:not(.selected):hover {
	border: 2px solid gray;
}

.card,
.front,
.back {
    height: 200px;
    width: 150px;
    border-radius: 20%; 
}


.back,
.front {
    position: absolute;
    backface-visibility: hidden;
}

.back {
    transform: rotateY(180deg);
    background-color: rgb(164, 235, 248);
    
}

.selected .back {
  backface-visibility: visible;
}

.card.selected {
    transform: rotateY(180deg);
    cursor: default;
    animation-name: flipInY;
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    animation-duration: .75s;
    text-align: center;
    font-size: 120px;
   
}

.card.match {
    cursor: default;
    background: rgb(98, 211, 245);
    font-size: 33px;
    animation-name: rubberBand;
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    animation-duration: .75s;
    text-align: center;
    font-size: 120px;
    
}
.card.match .back {
    transform: rotateY(0deg);
    background: rgb(98, 211, 245);
    text-align: center;
    font-size: 120px;
   
}

.card.unmatch,
.card.unmatch .back {
    animation-name: pulse;
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    animation-duration: .75s;
    background: rgb(119, 27, 65);
}



/* animations */
@keyframes flipInY {
  from {
      transform: perspective(400px) rotate3d(0, 1, 0, 90deg);
      animation-timing-function: ease-in;
      opacity: 0;
  }

  40% {
      transform: perspective(400px) rotate3d(0, 1, 0, -20deg);
      animation-timing-function: ease-in;
  }

  60% {
      transform: perspective(400px) rotate3d(0, 1, 0, 10deg);
      opacity: 1;
  }

  80% {
      transform: perspective(400px) rotate3d(0, 1, 0, -5deg);
  }

  to {
      transform: perspective(400px);
  }
}

@keyframes rubberBand {
  from {
      transform: scale3d(1, 1, 1);
  }

  30% {
      transform: scale3d(1.25, 0.75, 1);
  }

  40% {
      transform: scale3d(0.75, 1.25, 1);
  }

  50% {
      transform: scale3d(1.15, 0.85, 1);
  }

  65% {
      transform: scale3d(.95, 1.05, 1);
  }

  75% {
      transform: scale3d(1.05, .95, 1);
  }

  to {
      transform: scale3d(1, 1, 1);
  }
}

@keyframes pulse {
  from {
      transform: scale3d(1, 1, 1);
  }

  50% {
      transform: scale3d(1.1, 1.1, 1.1);
  }

  to {
      transform: scale3d(1, 1, 1);
  }
}